s3games.robot

## Class CameraObjectType

- java.lang.Object
- - s3games.robot.CameraObjectType

-     public class CameraObjectType
      extends java.lang.Object

  Specifies the color (in HSV model) and size range for a particular element type and state as appears in the image frame seen from the camera. An example would be hue:82-167, saturation:0.3-1.0, value:0.5-1.0, size:200-5000, elementType:greenFrog, elState:1

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `elementType` name of the corresponding element type
    `int` | `elState` corresponding state of the element
    `double` | `hueMax` hue interval 0-360
    `double` | `hueMin` hue interval 0-360
    `double` | `satMax` saturation interval 0-1
    `double` | `satMin` saturation interval 0-1
    `int` | `sizeMax` size interval - number of pixels
    `int` | `sizeMin` size interval - number of pixels
    `double` | `valueMax` value interval 0-1
    `double` | `valueMin` value interval 0-1

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CameraObjectType(java.lang.String name)` construct a new empty camera object type

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `printTo(java.io.PrintWriter out)` visualize the settings of this camera object type

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### hueMin

          public double hueMin

      hue interval 0-360

    - #### hueMax

          public double hueMax

      hue interval 0-360

    - #### satMin

          public double satMin

      saturation interval 0-1

    - #### satMax

          public double satMax

      saturation interval 0-1

    - #### valueMin

          public double valueMin

      value interval 0-1

    - #### valueMax

          public double valueMax

      value interval 0-1

    - #### sizeMin

          public int sizeMin

      size interval - number of pixels

    - #### sizeMax

          public int sizeMax

      size interval - number of pixels

    - #### elementType

          public java.lang.String elementType

      name of the corresponding element type

    - #### elState

          public int elState

      corresponding state of the element

  - ### Constructor Detail

    - #### CameraObjectType

          public CameraObjectType(java.lang.String name)

      construct a new empty camera object type

  - ### Method Detail

    - #### printTo

          public void printTo(java.io.PrintWriter out)

      visualize the settings of this camera object type